xawtv-remote(1)

NAME
xawtv-remote, v4lctl -- control video4linux devices

SYNOPSIS
xawtv-remote [ options ] command
v4lctl [ options ] command

DESCRIPTION
xawtv-remote and v4lctl can be used to control a video4linux driven TV card. xawtv-remote passes the command to a already running xawtv or motv instance using X11 properties. v4lctl sets the parameters directly.

OPTIONS
xawtv-remote knows the following options:

-h  print a short help text

-d dpy
    Set the X11 display

-i id
    Set the Window ID.

v4lctl understands these options:

-h  print a short help text

-c device
    Set video4linux device.

-D driver
    Set video4linux driver.

-v n
    Set debug level to n, where n = [0..2]

COMMANDS
Both tools basically use the same set of commands. Some of them are useful for xawtv-remote only (fullscreen for example).

setstation [ <name> | <nr> | next | prev | back ]
    Set the TV station. This selects on of the TV stations which are configured in the .xawtv config file. The argument can be the station name or a number (the first one listed in the config file is 0, ...). next/prev jumps to the next/previous station in the list, back to the previously selected one.

setchannel [ <name> | next | prev ]
    Tune in some channel.

setfreqtab <table>
    Set the frequency table. See the menu in xawtv for a list of valid choices.

setnorm <norm>
    Set the TV norm (NTSC/PAL/SECAM).

setinput [ <input> | next ]
    Set the video input (Television/Composite1/...)

capture [ on | off | overlay | grabdisplay ]
    Set capture mode.

volume mute on | off
    mute / unmute audio.

volume <arg>

color <arg>

hue <arg>

bright <arg>

contrast <arg>
    Set the parameter to the specified value. <arg> can be one of the following: A percent value ("70%" for example). Some absolute value ("32768"), the valid range is hardware specific. Relative values can be specified too by prefixing with "+=" or "-=" ("+=10%" or "-=2000"). The keywords "inc" and "dec" are accepted to and will increase and decrease the given value in small steps.

setattr <name> <value>
    Set set the value of some attribute (color, contrast, ... can be set this way too).

show [ <name> ]
    Show the value current of some attribute.

list
    List all available attributes with all properties (default value, range, ...)

snap [ jpeg | ppm ] [ full | win | widthxheight ] <filename>
    Capture one image.

webcam <filename>
    Capture one image. Does basically the same as "snap jpeg win <filename>". Works also while avi recording is active. It writes to a temporary file and renames it when done, so there is never a invalid file.

movie driver [ files | raw | avi | qt ]

movie video [ ppm | pgm | jpeg | rgb | gray | 422 | 422p | rgb15 | rgb24 | mjpeg | jpeg | raw | mjpa | png ]

movie fps <frames per second>

movie audio [ mono8 | mono16 | stereo ]

movie rate <sample rate>

movie fvideo <filename>

movie faudio <filename>

movie start

movie stop
    control xawtv's movie recorder.

fullscreen
    Toggle fullscreen mode.

showtime
    Display time (same what the 'D' key does in xawtv).

msg text
    Display text on the on-screen display (window title / upper left corner in fullscreen mode).

vtx line1 line2 [ ... ]
    Display subtitles. It pops up a small window at the bottom of the screen. It is intended to be used as an interface for displaying subtitles (often on videotext page 150 in Europe, that's why the name) by external programs.
    Every command line argument is one line, zero lines removes the window. You can colorize the text with the control sequence "ESC foreground background". foreground/background has the range 0-7 (ansi term colors). Example: "\03347 hello world " is blue on white. "\033" must be a real escape character, the string doesn't work. With the bash you'll get it with ^V ESC. vtx does also understand the ANSI tty escape sequences for color.

quit
    quit xawtv

keypad n
    enter digit 'n'. That's the two-digit channel selection, entering two digits within 5 seconds switches to the selected station. Useful for lirc.

vdr command
    send "command" to vdr (via connect on localhost:2001).

SEE ALSO
xawtv(1), motv(1), xawtvrc(5)

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr <kraxel@bytesex.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.